PLplot: ltdl_win32.c File Reference

PLplot 5.15.0

Functions | Variables
ltdl_win32.c File Reference
`#include <windows.h>`
`#include <stdlib.h>`
`#include "ltdl_win32.h"`
`#include "plplot.h"`

Go to the source code of this file.

## Functions
void | lt_dlinit (void)
void | lt_dlexit (void)
lt_dlhandle | lt_dlopenext (char *dllname)
PLCHAR_VECTOR | lt_dlerror ()
void * | lt_dlsym (lt_dlhandle dlhandle, PLCHAR_VECTOR symbol)
int | lt_dlmakeresident (lt_dlhandle handle)

## Variables
lt_dlhandle | lastHandle = NULL
char | errortext [512]

## Detailed Description

Routines that map unix libtool commands to their window equivalent.

Definition in file ltdl_win32.c.

## Function Documentation

## ◆ lt_dlerror()

PLCHAR_VECTOR lt_dlerror | ( |  | ) |

return last error occured. Needs some work :).

Returns
  Not much.. A string containing "No error information."

Definition at line 97 of file ltdl_win32.c.

## ◆ lt_dlexit()

void lt_dlexit | ( | void |  | ) |

on exit free library handles and release allocate memory

Definition at line 51 of file ltdl_win32.c.

## ◆ lt_dlinit()

void lt_dlinit | ( | void |  | ) |

initialise variables

Definition at line 43 of file ltdl_win32.c.

## ◆ lt_dlmakeresident()

int lt_dlmakeresident | ( | lt_dlhandle | handle | ) |

Placeholder that does nothing for now.

Parameters

  handle | Library handle.

Returns
  0

Definition at line 141 of file ltdl_win32.c.

## ◆ lt_dlopenext()

lt_dlhandle lt_dlopenext | ( | char * | dllname | ) |

Try to open shared library with given dllname. If there is no extension given LoadLibrary() assumes .dll. The library must be somewhere in the path or in the current directory.

Parameters

  dllname | The name of shared library.

Returns
  A handle to the shared library (if found).

Definition at line 74 of file ltdl_win32.c.

## ◆ lt_dlsym()

void* lt_dlsym | ( | lt_dlhandle | dlhandle,
|  | PLCHAR_VECTOR | symbol
| ) |  |

load symbol from library

Parameters

  dlhandle | Library handle as returned by ltdlopenext().
  symbol | The name of symbol to load.

Returns
  A pointer to the symbol requested.

Definition at line 112 of file ltdl_win32.c.

## Variable Documentation

## ◆ errortext

char errortext[512]

Definition at line 38 of file ltdl_win32.c.

## ◆ lastHandle

lt_dlhandle lastHandle = NULL

Definition at line 35 of file ltdl_win32.c.